Next: LOG_GAMMA, Previous: LOG, Up: Intrinsic Procedures [Contents][Index]

### 9.178 `LOG10` — Base 10 logarithm function

Description:

  `LOG10(X)` computes the base 10 logarithm of X.

Standard:

  Fortran 77 and later

Class:

  Elemental function

Syntax:

  `RESULT = LOG10(X)`

Arguments:

  X | The type shall be `REAL`.

Return value:

  The return value is of type `REAL` or `COMPLEX`. The kind type parameter is the same as X.

Example:

      program test_log10
        real(8) :: x = 10.0_8
        x = log10(x)
      end program test_log10

Specific names:

  Name | Argument | Return type | Standard
  `ALOG10(X)` | `REAL(4) X` | `REAL(4)` | Fortran 77 and later
  `DLOG10(X)` | `REAL(8) X` | `REAL(8)` | Fortran 77 and later